/*
 * If your system doesn't define the S_* constants
 *
 * $Id: fpmode.h,v 1.1.1.1 1997/10/28 10:49:44 frank Exp $
 */

#ifndef __FPMODE_H__
#define __FPMODE_H__

#include "fpconfig.h"

#ifdef HAVE_SYS_MODE_H
#include <sys/mode.h>
#endif
#ifndef S_IRUSR
#define S_IRUSR		(0400)
#define S_IWUSR		(0200)
#define S_IXUSR		(0100)
#define S_IRGRP		(0040)
#define S_IWGRP		(0020)
#define S_IXGRP		(0010)
#define S_IROTH		(0004)
#define S_IWOTH		(0002)
#define S_IXOTH		(0001)
#define S_IRWXU		(S_IRUSR|S_IWUSR|S_IXUSR)
#define S_IRWXG		(S_IRGRP|S_IWGRP|S_IXGRP)
#define S_IRWXO		(S_IROTH|S_IWOTH|S_IXOTH)
#endif
#endif
